Luxor PlatformAPI DocumentationCommanderTickets

Get ticket comments

Returns every comment on a ticket, oldest first. Not paginated. Comments posted with an API key have a system author.

GET
/v2/commander/tickets/{ticket_id}/comments

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

ticket_id*string

Ticket id (uuid).

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/commander/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments"
{  "comments": [    {      "id": "9d8c7b6a-5f4e-4d3c-8b2a-1f0e9d8c7b6a",      "body": "Replaced the PSU, monitoring.",      "author": {        "id": "575370fd-ecb7-40bb-a3da-8af78e0dab6b",        "type": "user",        "name": "Alice Smith"      },      "parent_id": null,      "created_at": "2026-10-01T09:59:00.000Z",      "updated_at": "2026-10-01T10:00:00.000Z"    }  ]}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}